Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Interface AppletSelector

All Known Implementing Classes:
  ISOAppletSelector, AbstractAppletAccessor

public abstract interface AppletSelector

The `AppletSelector` interface defines the minimum features that are necessary for working with card-resident applets.

Since:
  OCF1.2
See Also:
  `CardChannel`, `AppletID`, `AppletInfo`

Method Summary
`AppletInfo` | `selectApplet(opencard.core.service.CardChannel channel, AppletID appletIdentifier)` Select a given applet with the specified `AppletID`.

Method Detail

### selectApplet

    public AppletInfo selectApplet(opencard.core.service.CardChannel channel,
                                   AppletID appletIdentifier)
                            throws opencard.core.service.CardServiceException,
                                   opencard.core.terminal.CardTerminalException

  Select a given applet with the specified `AppletID`.

  Parameters:
    `card` - channel
    The `CardChannel` object that must be used if it is specified (if this argument is null, the function must allocate a new card channel).
    `applet` - identifier
    The `AppletID` object referring to the applet to be selected.
  Returns:
    applet info
    an `AppletInfo` object with the information that has been provided by the card (or at the minimum an AppletInfo object including the Applet AID). A `ResponseAPDU` object can be stored in the "data" attribute of the returned AppletInfo in order to provide more detailed information to the caller.
  Throws:
    opencard.core.terminal.CardTerminalException - Thrown when error occurs during the communication.
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD